import processing.core.*; 
import processing.data.*; 
import processing.event.*; 
import processing.opengl.*; 

import java.util.HashMap; 
import java.util.ArrayList; 
import java.io.BufferedReader; 
import java.io.PrintWriter; 
import java.io.InputStream; 
import java.io.OutputStream; 
import java.io.IOException; 

public class Binger extends PApplet {

/* A simple program to automate Bing Rewards.  The program works by
searching 40 random keywords.  This should accumulate the usual 15
credits per day.  To get the most from Bing Rewards, be sure to go to 
your rewards dashboard to do the bonus offers.  If you wish to avoid 
problems with memory, use Mozilla Firefox which runs all tabs in one
process.  Chrome will start 40+ processes which may slow your computer
greatly.  For ease of use, set the option in Firefox  to open just your 
homepage when you reopen Firefox, so that way it will close your 40 tabs
and not reopen them when you start Firefox again.  BEFORE RUNNING
this program, open Firefox to any tab, or the program will open 40 
WINDOWS instead of 40 tabs.  So here is the short breakdown:
1. Set Firefox to open homepage on startup
2. Open Firefox to one tab
3. Run program
4. Close firefox
This should get you rewards quickly!  If you wish to automate this further, 
in Windows it is possible to schedule Firefox to launch at a certain time 
each day, and then 5 minutes later run this program.  Five minutes after
this program has run, have Windows close Firefox.  One final note:  This 
program commits suicide after running.  It will launch, do its job and die.
-------------------------------------Danny Reed---------------------------------------
*/
PImage img;
String firstPart = "http://www.bing.com/search?q=";
String middlePart = "&go=&qs=n&form=QBLH&pq=";
String lastPart = "&sc=8-4&sp=-1&sk=&cvid=14849db6c17141a7ba8b02e4e227a1ab";
String searchTerm = "";
char[] letters = {
  'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z'
};
int count = 0;

public void setup() {
  size(100, 100);
  img = loadImage("logo.jpg");
}

public void draw() {
  image(img,0,0,height,width);
  if (count < 40) {
    for (int i=0; i<6; i++) {
      int x = floor(random(0, letters.length));
      searchTerm = searchTerm+letters[x];
    }
    link(firstPart+searchTerm+lastPart);
    println("Searched: " + firstPart + searchTerm + middlePart + searchTerm + lastPart);
  }
  else {
    println("Exiting");
    exit();
  }
  count++;
  searchTerm = "";
  println("Count: " + count);
  delay(100);
}
  static public void main(String[] passedArgs) {
    String[] appletArgs = new String[] { "Binger" };
    if (passedArgs != null) {
      PApplet.main(concat(appletArgs, passedArgs));
    } else {
      PApplet.main(appletArgs);
    }
  }
}
